# Class SpnegoAuthenticator.SpnegoTokenFixer

java.lang.Object
org.apache.catalina.authenticator.SpnegoAuthenticator.SpnegoTokenFixer

Enclosing class:
  `SpnegoAuthenticator`

public static class SpnegoAuthenticator.SpnegoTokenFixer extends Object
This class implements a hack around an incompatibility between the SPNEGO implementation in Windows and the SPNEGO implementation in Java 8 update 40 onwards. It was introduced by the change to fix this bug: JDK-8048194 (note: the change applied is not the one suggested in the bug report)

It is not clear to me if Windows, Java or Tomcat is at fault here. I think it is Java, but I could be wrong.

This hack works by re-ordering the list of mechTypes in the NegTokenInit token.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `fix(byte[] token)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fix

    public static void fix(byte[] token)